package agilpizza.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import agilpizza.modelo.Cliente;
import agilpizza.modelo.Endereco;

public class ClienteServlet extends HttpServlet {

	private static final long serialVersionUID = -4127253820264183478L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		String nome = (String) req.getParameter("nome");
		String telefone = (String) req.getParameter("telefone");
		
		String rua = (String) req.getParameter("rua");
		String numero = (String) req.getParameter("numero");
		String complemento = (String) req.getParameter("complemento");
		String bairro = (String) req.getParameter("bairro");
		String cep = (String) req.getParameter("cep");

		Cliente cliente = (Cliente)req.getSession().getAttribute("clienteIdentificado");
		if (cliente == null) {
			String msgErro = "Cliente não identificado, identifique-se antes de inserir o endereço";
			req.getSession().setAttribute("msgErro", msgErro);	
			resp.sendRedirect("identificacaoCliente.jsp");
			return;
		}
		
		// a partir daqui o cliente esta Ok.
		
		if (ValidacaoUtil.isVazio(rua) ||
			ValidacaoUtil.isVazio(numero) ||
			ValidacaoUtil.isVazio(nome) ||
			ValidacaoUtil.isVazio(telefone)) {
			String msgErro = "Campos obrigatórios não foram preenchidos";
			req.getSession().setAttribute("msgErro", msgErro);	
			resp.sendRedirect("cliente.jsp");
			return;
		}
		
		// a partir daqui, os dados e endereco estao ok
		cliente.setNome(nome);
		cliente.setTelefone(telefone);
		cliente.setEndereco(new Endereco(rua, numero, complemento, bairro, cep));
		
		//TUDO CERTO!
		req.getSession().setAttribute("msgErro", null);
		resp.sendRedirect("mostraCliente.jsp");
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.doGet(req, resp);
	}
}
